Package org.gradle.caching

# Interface BuildCacheKey

public interface BuildCacheKey
Cache key identifying an entry in the build cache.

Since:
  3.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHashCode()`
  Returns the string representation of the cache key.
  `byte[]`
  `toByteArray()`
  Returns the byte array representation of the cache key.

- ## Method Details

  - ### getHashCode

    String getHashCode()
    Returns the string representation of the cache key.

  - ### toByteArray

    byte[] toByteArray()
    Returns the byte array representation of the cache key.
    Since:
      5.4